<?php
// last edit: 12.12.2018

class ModelNoDelete extends DBModel{
	static $field_delete = 'del_time'; // поле которое сохраняет время удаления.
	static $field_delete_value = 'CURRENT_TIMESTAMP'; // какое значение вставляется в поле при удалении

	function onIfDelete(){
		$this->{static::$field_delete} = static::$field_delete_value;
		$this->save();
		return false;
	}

	function isDelete(){
		return !!$this->{static::$field_delete};
	}
}